/**
 * This file is part of the NocoBase (R) project.
 * Copyright (c) 2020-2024 NocoBase Co., Ltd.
 * Authors: NocoBase Team.
 *
 * This project is dual-licensed under AGPL-3.0 and NocoBase Commercial License.
 * For more information, please refer to: https://www.nocobase.com/agreement.
 */
import { ModalProps } from 'antd';
import React from 'react';
import { SchemaSettingOptions, SchemaSettings } from '../../../application/schema-settings';
export declare function ButtonEditor(props: any): React.JSX.Element;
export declare function AssignedFieldValues(): React.JSX.Element;
export declare function RequestSettings(): React.JSX.Element;
export declare function SkipValidation(): React.JSX.Element;
export declare const BlocksSelector: (props: any) => React.JSX.Element;
export declare function AfterSuccess(): React.JSX.Element;
export declare function RemoveButton(props?: {
    onConfirmOk?: ModalProps['onOk'];
    disabled?: boolean;
}): React.JSX.Element;
export declare const actionSettingsItems: SchemaSettingOptions['items'];
export declare function SecondConFirm(): React.JSX.Element;
/**
 * @deprecated
 */
export declare const actionSettings: SchemaSettings<{}>;
export declare const ActionDesigner: {
    (props: any): React.JSX.Element;
    ButtonEditor: typeof ButtonEditor;
    RemoveButton: typeof RemoveButton;
};
export declare function RefreshDataBlockRequest(props: any): React.JSX.Element;
